* {
    margin: 0;
    top: 0;
    box-sizing: border-box;
}

body {
    font-weight: 600;
    font-size: 17px;
    width: 100vw;
    height: 100vh;
    font-family: 'Montserrat', sans-serif;
    background-image: url(./images/bg-top.svg), url(./images/bg-bottom.svg);
    background-repeat: no-repeat;
    background-position: top right, bottom left;
    text-emphasis-color: black;
    background-color: #F9F6EE
}

.price {
    display: flex;
    justify-content: center;
    font-size: 28px;
    font-weight: 700;
    color: hsl(233, 13%, 49%);
    position: relative;
    align-content: space-around;
    margin-top: 40px;
}

.plan {
    color: hsl(233, 13%, 49%);
    font-size: 10px;
    font-weight: 700;
    line-height: 50px;
    position: relative;
    padding: 20px;
    display: flex;
    flex-direction: column;
    text-align: center;
    width: 225px;
    border-radius: 30px;
    border: 2px solid white;
    background-color: white;
}

.Annual {
    position: absolute;
    transform: translate(-50%, -50%);
    text-align: center;
    top: 200%;
    left: 50%;
    font-size: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.annualPlan {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin-top: 35px;
    flex-direction: row;
    margin: 100px;
}

.slider {
    display: flex;
    position: relative;
    display: inline-block;
    width: 50px;
    height: 25px;
    margin: 0 10px;
}

.checking {
    position: absolute;
    cursor: pointer;
    background-image: linear-gradient(to right, hsl(250, 18%, 93%), hsl(237, 63%, 64%));
    transition: .4s;
    border-radius: 30px;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
}

.checking::before {
    position: absolute;
    content: "";
    height: 20px;
    width: 20px;
    left: 3px;
    bottom: 3px;
    background-color: white;
    transition: .4s;
    border-radius: 50px;
}

input:checked+.checking::before {
    transform: translateX(25px);
}


.btn {
    height: 40px;
    border-radius: 10px;
    text-align: center;
    text-transform: uppercase;
    font-weight: 700;
    color: black;
    background-color: white;
    font-size: 15px;
    margin: 15px 0;
}

.plan:hover {
    color: black;
    transform: scale(1.1);
    z-index: 1;
    box-shadow: 2px 2px 5px rgb(161, 163, 241);
    transition: 0.25s;
}

.plan:hover .btn {
    background: transparent;
    background: rgb(161, 163, 241);
}

.plan:hover>.btn {
    background-image: none;
    background-color: white;
    color: hsl(237, 63%, 64%);
}



.plan:hover .pricing {
    color: hsl(0, 0%, 100%);
    color: white;
}

.pricing {
    color: hsl(232, 13%, 33%);
    font-size: 40px;
    font-weight: 700;
    line-height: 150%;
    text-align: center;
}

.dollar:hover {
    font-weight: 700;
    font-size: 22px;
    color: white
}

.dollarmoney {
    font-size: 30px;
    font-weight: 700;
    line-height: 200%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    text-align: center;
}

hr {
    min-width: 100%;
    color: rgb(236, 236, 236);
    background: rgba(194, 194, 194, 0.199);
}

#color:hover {
    background-color: hsl(234, 14%, 74%);
    color: white;
}

.btn {
    background: hsl(237, 63%, 64%);
    color: white;
    border-color: white;
}


.dollar {
    color: black;
}

@keyframes left {
    from {
        left: 1.5rem;
    }

    to {
        left: 0.5rem;
    }
}

@keyframes right {
    from {
        left: 0.5rem;
    }

    to {
        left: 1.5rem;
    }
}

@media only screen and (max-width: 550px) {
    body {
        display: block;
    }

    .annualPlan {
        display: flex;
        position: relative;
        width: max-content;
        left: 2rem;
        flex-direction: column;
        overflow-y: scroll;
    }

    .plan:hover {
        scale: none;
    }

    .plan:hover {
        scale: none;
    }

    .plan:hover {
        scale: none;
    }

    .pricing {
        top: 2rem;
        left: 1.5rem;
    }

    .plan {
        width: 95%;
    }
}

@media only screen and (max-width: 375px) {
    body {
        display: block;
    }

    .annualPlan {
        display: flex;
        position: relative;
        width: max-content;
        left: 2rem;
        flex-direction: column;
        overflow-y: scroll;
    }

    .plan:hover {
        scale: none;
    }

    .plan:hover {
        scale: none;
    }

    .plan:hover {
        scale: none;
    }

    .pricing {
        top: 2rem;
        left: 1.5rem;
    }

    .plan {
        width: 95%;

    }
}